"""Adicionar índices na tabela dataset_images

Revision ID: 7aa341c085d8
Revises: af03f1465b64
Create Date: 2025-03-25 23:54:49.507235

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7aa341c085d8'
down_revision = 'af03f1465b64'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    
    # Adicionar índice na coluna dataset_id para acelerar consultas por dataset
    op.create_index('ix_dataset_images_dataset_id', 'dataset_images', ['dataset_id'], unique=False)
    
    # Adicionar índice na coluna image_id para acelerar consultas por imagem
    op.create_index('ix_dataset_images_image_id', 'dataset_images', ['image_id'], unique=False)
    
    # Adicionar índice na combinação (dataset_id, image_id) para garantir unicidade e acelerar consultas
    op.create_index('ix_dataset_images_dataset_image', 'dataset_images', ['dataset_id', 'image_id'], unique=True)
    
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    
    # Remover os índices na ordem inversa
    op.drop_index('ix_dataset_images_dataset_image', table_name='dataset_images')
    op.drop_index('ix_dataset_images_image_id', table_name='dataset_images')
    op.drop_index('ix_dataset_images_dataset_id', table_name='dataset_images')
    
    # ### end Alembic commands ### 