"""adicionado url no ImageDataset

Revision ID: e1f8f82da258
Revises: 7aa341c085d8
Create Date: 2025-03-26 01:03:54.354241

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e1f8f82da258'
down_revision = '7aa341c085d8'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('dataset_images', sa.Column('url', sa.String(length=255), nullable=True))
    op.drop_index('ix_dataset_images_dataset_id', table_name='dataset_images')
    op.drop_index('ix_dataset_images_dataset_image', table_name='dataset_images')
    op.drop_index('ix_dataset_images_image_id', table_name='dataset_images')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('ix_dataset_images_image_id', 'dataset_images', ['image_id'], unique=False)
    op.create_index('ix_dataset_images_dataset_image', 'dataset_images', ['dataset_id', 'image_id'], unique=1)
    op.create_index('ix_dataset_images_dataset_id', 'dataset_images', ['dataset_id'], unique=False)
    op.drop_column('dataset_images', 'url')
    # ### end Alembic commands ### 